
Redmine - Defect #23394

Auto-assign on category selection does not work when assignee is a required field

2016-07-21 13:08 - Anonymous

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

When the assignee is set as a mandatory field, the auto-assign function related to category does not work.

Test setting:

 01_required_field.PNG 

Category definition:

 02_category_settings.PNG 

Attempt to create issue:

 03_error_on_creation.PNG 

If the assignee requirement is removed, the assignee is set as expected after a category has been chosen and the issue has been

created.

Environment:

  Redmine version                3.3.0.stable

  Ruby version                   2.1.8-p440 (2015-12-16) [i386-mingw32]

  Rails version                  4.2.6

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.16

  Git                            2.7.4

  Filesystem                     

Redmine plugins:

  no plugin installed

Related issues:

Related to Redmine - Feature #6889: Set assignee on category change New 2010-11-15

Related to Redmine - Defect #17555: Mandatory condition for 'Category' & 'Ass... New

History

#1 - 2016-07-21 13:09 - Anonymous

Related to #6889, #17555 and #18393.

#2 - 2016-08-19 06:42 - Toshi MARUYAMA

- Category set to Issues

#3 - 2016-08-19 06:43 - Toshi MARUYAMA

- Related to Feature #6889: Set assignee on category change added

#4 - 2016-08-19 06:45 - Toshi MARUYAMA

- Related to Defect #17555: Mandatory condition for 'Category' & 'Assignee' is not working according to workflow defined added

Files

01_required_field.PNG 31.4 KB 2016-07-21 Anonymous

02_category_settings.PNG 7.06 KB 2016-07-21 Anonymous
https://www.redmine.org/issues/6889
https://www.redmine.org/issues/17555
https://www.redmine.org/issues/18393


03_error_on_creation.PNG 26.6 KB 2016-07-21 Anonymous
